Skip to main content
`Ctrl`+`K`

# PetscDSGetSpatialDimension

Returns the spatial dimension of the `PetscDS`, meaning the topological dimension of the discretizations

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetSpatialDimension(PetscDS prob, PetscInt *dim)

Not Collective

## Input Parameter

- prob - The `PetscDS` object

## Output Parameter

- dim - The spatial dimension

## See Also

`PetscDS`, `PetscDSGetCoordinateDimension()`, `PetscDSGetNumFields()`, `PetscDSCreate()`

## Level

beginner

## Location

src/dm/dt/interface/dtds.c

## Examples

src/snes/tutorials/ex17.c
src/ts/tutorials/ex53.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages